package com.rehome.jpahefengweather.dto;


import com.rehome.jpahefengweather.utils.MapUtil;
import java.util.Map;

/**
 * @author HuangWenFei
 * @version v1.0.0.0
 * Created DateTime 2022-05-01 16:22
 */
//@ApiModel(value = "BaseFindDto", description = "接收数据")
public class BaseFindDto{
    //@ApiModelProperty("位置id,从城市列表获取")
    private String locationId;

    /**
     * 根据 map 还原 MaintenanceTemporaryFindDto
     *
     * @param map 映射map
     * @return cc.rehome.zhanjiang.data_center_model.domain.security.authorize.maintenance_temporary.in.MaintenanceTemporaryFindDto
     * @author HuangWenFei
     * Created DateTime 2022-04-19 10:02
     */
    public static BaseFindDto ofSelfMap(Map<String, Object> map) {
        return MapUtil.fromMap(map, BaseFindDto.class);
    }

    public String getLocationId() {
        return locationId;
    }

    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }
}
